SpringWildcardServletTilesApplicationContext (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.view.tiles3

## Class SpringWildcardServletTilesApplicationContext

- java.lang.Object
- - org.apache.tiles.request.servlet.ServletApplicationContext
  - - org.springframework.web.servlet.view.tiles3.SpringWildcardServletTilesApplicationContext

- All Implemented Interfaces:
    org.apache.tiles.request.ApplicationContext

      public class SpringWildcardServletTilesApplicationContext
      extends org.apache.tiles.request.servlet.ServletApplicationContext

  Spring-specific subclass of the Tiles ServletApplicationContext.
  Since:
    3.2
  Author:
    Rossen Stoyanchev

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResourcePatternResolver` | `resolver` The pattern resolver.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringWildcardServletTilesApplicationContext(ServletContext servletContext)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tiles.request.ApplicationResource` | `getResource(org.apache.tiles.request.ApplicationResource base, Locale locale)`
    `org.apache.tiles.request.ApplicationResource` | `getResource(String localePath)`
    `Collection<org.apache.tiles.request.ApplicationResource>` | `getResources(String path)`

    - ### Methods inherited from class org.apache.tiles.request.servlet.ServletApplicationContext

      `getApplicationScope, getContext, getInitParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resolver

          protected ResourcePatternResolver resolver

      The pattern resolver.

  - ### Constructor Detail

    - #### SpringWildcardServletTilesApplicationContext

          public SpringWildcardServletTilesApplicationContext(ServletContext servletContext)

      Constructor.
      Parameters:
        `servletContext` - The servlet context.

  - ### Method Detail

    - #### getResource

          public org.apache.tiles.request.ApplicationResource getResource(String localePath)

      Specified by:
        `getResource` in interface `org.apache.tiles.request.ApplicationContext`
      Overrides:
        `getResource` in class `org.apache.tiles.request.servlet.ServletApplicationContext`

    - #### getResource

          public org.apache.tiles.request.ApplicationResource getResource(org.apache.tiles.request.ApplicationResource base,
                                                                 Locale locale)

      Specified by:
        `getResource` in interface `org.apache.tiles.request.ApplicationContext`
      Overrides:
        `getResource` in class `org.apache.tiles.request.servlet.ServletApplicationContext`

    - #### getResources

          public Collection<org.apache.tiles.request.ApplicationResource> getResources(String path)

      Specified by:
        `getResources` in interface `org.apache.tiles.request.ApplicationContext`
      Overrides:
        `getResources` in class `org.apache.tiles.request.servlet.ServletApplicationContext`